IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfDivisionList')
	BEGIN
		PRINT 'Dropping Procedure adfDivisionList'
		DROP  Procedure  adfDivisionList
	END

GO

PRINT 'Creating Procedure adfDivisionList'
GO
/******************************************************************************
**		File: 
**		Name: adfDivisionList
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfDivisionList
AS
	SET NOCOUNT ON
	
	SELECT
		[Division].[ID],
		[Division].[Code] as [Code],
		[Division].[FileAs] as [Name],
		[Division].[State],
		[Division].[CompanyID]
	FROM
		[Division]
		
	RETURN 0
GO

GRANT EXEC ON adfDivisionList TO PUBLIC
GO
