IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfFullTextSearchInstalled')
	BEGIN
		PRINT 'Dropping Procedure adfFullTextSearchInstalled'
		DROP  Procedure  adfFullTextSearchInstalled
	END

GO

PRINT 'Creating Procedure adfFullTextSearchInstalled'
GO
/******************************************************************************
**		File: 
**		Name: adfFullTextSearchInstalled
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfFullTextSearchInstalled
AS
	SET NOCOUNT ON
	SELECT FULLTEXTSERVICEPROPERTY ('IsFulltextInstalled')
	RETURN 0
GO

GRANT EXEC ON adfFullTextSearchInstalled TO PUBLIC
GO

 