IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[adfGetClassByName]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function adfGetClassByName'
		DROP FUNCTION [dbo].[adfGetClassByName]
	END

GO

PRINT 'Creating function adfGetClassByName'
GO
/******************************************************************************
**		File: 
**		Name: adfGetClassByName
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE FUNCTION adfGetClassByName
	(@name TName)
RETURNS TClass
AS
BEGIN
	DECLARE @Class TClass
	SELECT @Class = [Class] FROM [Class] WHERE [Code] = @name
	RETURN @Class
END
GO

GRANT EXEC ON adfGetClassByName TO PUBLIC
GO
