IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfSqlUserList')
	BEGIN
		PRINT 'Dropping Procedure adfSqlUserList'
		DROP  Procedure  adfSqlUserList
	END

GO

PRINT 'Creating Procedure adfSqlUserList'
GO
/******************************************************************************
**		File: 
**		Name: adfSqlUserList
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfSqlUserList
AS
	SET NOCOUNT ON
	
	SELECT 
		u.[uid] as [ID], u.[name] as [Name]
	FROM 
		dbo.[sysusers] as u LEFT OUTER JOIN [master].dbo.[syslogins] l 
			ON (u.[sid] = l.[sid])
	WHERE 
		u.[uid] != u.[gid] and u.[issqlrole]=0 and u.[isapprole]=0 AND u.[uid] > 2
	AND
		[l].[loginname] IS NOT NULL
	AND
		CHARINDEX('\', [l].[loginname]) = 0

	RETURN 0
GO

GRANT EXEC ON adfSqlUserList TO PUBLIC
GO
