IF EXISTS (SELECT * FROM sysobjects WHERE type = 'V' AND name = 'adfvwTrustee')
	BEGIN
		PRINT 'Dropping View adfvwTrustee'
		DROP  View adfvwTrustee
	END
GO

/******************************************************************************
**		File: 
**		Name: adfvwTrustee
**		Desc: 
**
**		This template can be customized:
**              
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:				Description:
**		--------		--------				-------------------------------------------
**    
*******************************************************************************/

PRINT 'Creating View adfvwTrustee'
GO
CREATE VIEW adfvwTrustee
AS
	SELECT
		[T].[ID], 
		[T].[Name],
		[T].[BuiltIn],
		ISNULL([TG].[DisplayName], [T].[DisplayName]) as [DisplayName], 
		ISNULL([TG].[Comments], [T].[Comments]) as [Comments], 
		[T].[Created],
		[T].[CreatedBy],
		[T].[Modified],
		[T].[ModifiedBy]
	FROM
		[Trustee] as [T] LEFT OUTER JOIN [TrusteeGlobal] as [TG]
			ON ([T].[ID]=[TG].[ID] AND
				[TG].[Language] = dbo.adfGetLanguage())

GO
     