DECLARE constraints CURSOR LOCAL FAST_FORWARD FOR
    select
        TABLE_NAME = o.name,
        FK_NAME = object_name(r.object_id)
    from
        sys.all_objects o
		inner join sys.foreign_keys r
			on o.object_id = r.parent_object_id
	where
		SCHEMA_NAME(o.schema_id) = 'dbo'
				
DECLARE @sql nvarchar(max)
DECLARE @TableName sysname, @ForeignKeyName sysname

OPEN constraints
FETCH NEXT FROM constraints INTO @TableName, @ForeignKeyName
WHILE @@FETCH_STATUS = 0
BEGIN
	SET @sql = 'ALTER TABLE [dbo].['+@TableName+'] DROP CONSTRAINT '+@ForeignKeyName
	EXEC(@sql)
	FETCH NEXT FROM constraints INTO @TableName, @ForeignKeyName
END
CLOSE constraints
DEALLOCATE constraints