declare @value TVariant
SET @value = CAST(CAST(1 as bit) as sql_variant)
EXEC adfParameterSet @Name='DatabaseUpdateExecuting', @Group='Pjm5', @Value = @value

DECLARE @Param TVariant,
		@doc INT,
		@xml XML,
		@major INT
EXEC adfParameterGet 'DatabaseVersion', 'VersionInfo', @Param OUTPUT
SET @xml = CAST(@Param as varchar(8000))
EXEC sp_xml_preparedocument @doc OUTPUT, @xml
SELECT 
	@major = [major]
FROM 
	OPENXML(@doc, '/version', 1)
	WITH (
		[major] INT
		)
SET @value = CAST(@major as sql_variant)
EXEC adfParameterSet @Name='DatabaseVersionUpdated', @Group='Pjm5', @Value = @value