  IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'lmResource')
	BEGIN
		PRINT 'Dropping Procedure lmResource'
		DROP  Procedure  lmResource
	END

GO

PRINT 'Creating Procedure lmResource'
GO
/******************************************************************************
**		File: 
**		Name: lmResource
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: Dmitry Kolchev
**		Date: 2006-05-15
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure lmResource
AS
	SET NOCOUNT ON
		
	SELECT
		[Resource].[ID],
		[Resource].[State],
		[Resource].[Code],
		[Resource].[FileAs] AS [Name],
		[Resource].[ResourceTypeID]
	FROM
		[Resource]
	
	RETURN 0
GO

GRANT EXEC ON lmResource TO PUBLIC
GO
