/****** Object:  StoredProcedure [pjmams].[CloseProcessEntry]    Script Date: 12/12/2006 12:24:37 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[pjmams].[CloseProcessEntry]') AND type in (N'P', N'PC'))
BEGIN
	PRINT 'Dropping procedure [pjmams].[CloseProcessEntry]'
	DROP PROCEDURE [pjmams].[CloseProcessEntry]
END
GO

PRINT 'Creating procedure [pjmams].[CloseProcessEntry]'
GO

CREATE PROCEDURE [pjmams].[CloseProcessEntry] 
	@ID INT
AS
	SET NOCOUNT ON
	
	UPDATE [PJMAMS].[Process] 
	SET 
		[Closed]=GETDATE() 
	WHERE 
		ID=@ID;	
	
	RETURN 0
GO

GRANT EXECUTE ON [pjmams].[CloseProcessEntry] TO [NT AUTHORITY\NETWORK SERVICE]
GO
 