IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfContactList')
	BEGIN
		PRINT 'Dropping Procedure adfContactList'
		DROP  Procedure  adfContactList
	END

GO

PRINT 'Creating Procedure adfContactList'
GO
/******************************************************************************
**		File: 
**		Name: adfContactList
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfContactList
	@ID TIdentifier = NULL
AS
	SET NOCOUNT ON
	
	SELECT
		[ID],
		[Class],
		[FileAs],
		CAST(0 as BIT) as [Selected]
	FROM
		[Employee]
	
	RETURN 0
GO

GRANT EXEC ON adfContactList TO PUBLIC
GO
