IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[adfGetCurrentEmployeeID]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function adfGetCurrentEmployeeID'
		DROP FUNCTION [dbo].[adfGetCurrentEmployeeID]
	END

GO

PRINT 'Creating function adfGetCurrentEmployeeID'
GO
/******************************************************************************
**		File: 
**		Name: adfGetCurrentEmployeeID
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE FUNCTION adfGetCurrentEmployeeID()
RETURNS TIdentifier
AS
BEGIN
	DECLARE @UserID TIdentifier, @EmployeeID TIdentifier
	SET @UserID = dbo.adfGetCurrentUserID()
	SELECT @EmployeeID = [ID] FROM [Employee] WHERE [UserID] = @UserID AND [State] = 1
	RETURN @EmployeeID
END
GO

GRANT EXEC ON adfGetCurrentEmployeeID TO PUBLIC
GO
