IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfPersonList')
	BEGIN
		PRINT 'Dropping Procedure adfPersonList'
		DROP  Procedure  adfPersonList
	END

GO

PRINT 'Creating Procedure adfPersonList'
GO
/******************************************************************************
**		File: 
**		Name: adfPersonList
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfPersonList
AS
	SET NOCOUNT ON
		
	SELECT
		[Employee].[ID],
		[Employee].[FileAs] as [Name],
		[Employee].[CompanyID],
		[Employee].[State]
	FROM
		[Employee]
			
	RETURN 0
GO

GRANT EXEC ON adfPersonList TO PUBLIC
GO
