IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfDocumentGet')
	BEGIN
		PRINT 'Dropping Procedure adfDocumentGet'
		DROP  Procedure  adfDocumentGet
	END

GO

PRINT 'Creating Procedure adfDocumentGet'
GO
/******************************************************************************
**		File: 
**		Name: adfDocumentGet
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfDocumentGet
	@Class TClass,
	@ID TIdentifier
AS
	SET NOCOUNT ON
	
	SELECT
		[Class],
		[ID],
		[State],
		[FileAs],
		[Created],
		[CreatedBy],
		[Modified],
		[ModifiedBy],
		[Timestamp]
	FROM
		[Document]
	WHERE
		[Class] = @Class AND [ID] = @ID
	
	RETURN 0
GO

GRANT EXEC ON adfDocumentGet TO PUBLIC
GO
