IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].fnPjm7GetDaysBeforeEventInt') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function fnPjm7GetDaysBeforeEventInt'
		DROP FUNCTION [dbo].fnPjm7GetDaysBeforeEventInt
	END

GO

PRINT 'Creating Function fnPjm7GetDaysBeforeEventInt'
GO
/******************************************************************************
**		File:	fnPjm7GetDaysBeforeEventInt.sql
**		Name: 	fnPjm7GetDaysBeforeEventInt
**		Desc:	returns 
*******************************************************************************
**		Date:		Author:		Description:
**		-----		-------		-------------
**    	29.11.11		ASA		first version
*******************************************************************************/

CREATE FUNCTION fnPjm7GetDaysBeforeEventInt(@Eventdate datetime)
RETURNS int
BEGIN
	DECLARE
		@Result int

	IF(@Eventdate IS NULL)
		RETURN NULL

	SET @Result = CAST([dbo].fnPjm7GetDaysBeforeEvent(@Eventdate) AS int)

	RETURN @Result
END
GO

GRANT EXEC ON fnPjm7GetDaysBeforeEventInt TO PUBLIC
GO
