IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[adfGetTrusteeID]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function adfGetTrusteeID'
		DROP FUNCTION [dbo].[adfGetTrusteeID]
	END

GO

PRINT 'Creating function adfGetTrusteeID'
GO
/******************************************************************************
**		File: 
**		Name: adfGetTrusteeID
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE FUNCTION adfGetTrusteeID
	(@name TSysname)
RETURNS INT
AS
BEGIN
	DECLARE @ID INT
	
	SELECT 
		@ID = [Trustee].[ID]
	FROM 
		[Trustee]
	WHERE
		[Trustee].[Name] = @name
		
	RETURN @ID
END
GO

