IF EXISTS (SELECT * FROM sysobjects WHERE type = 'V' AND name = 'adfvwRight')
	BEGIN
		PRINT 'Dropping View adfvwRight'
		DROP  View adfvwRight
	END
GO

/******************************************************************************
**		File: 
**		Name: adfvwRight
**		Desc: 
**
**		This template can be customized:
**              
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:				Description:
**		--------		--------				-------------------------------------------
**    
*******************************************************************************/

PRINT 'Creating View adfvwRight'
GO
CREATE VIEW adfvwRight
AS
	SELECT
		[Right].[ID], 
		[Right].[Name], 
		ISNULL([RightGlobal].[DisplayName], [Right].[DisplayName]) as [DisplayName], 
		ISNULL([RightGlobal].[Comments], [Right].[Comments]) as [Comments], 
		[Right].[Group]
	FROM
		[Right] LEFT OUTER JOIN [RightGlobal]
			ON ([Right].[ID]=[RightGlobal].[ID] AND 
				[RightGlobal].[Language] = dbo.adfGetLanguage())

GO
   