IF EXISTS (SELECT * FROM sysobjects WHERE type = 'V' AND name = 'adfvwUICommand')
	BEGIN
		PRINT 'Dropping View adfvwUICommand'
		DROP  View adfvwUICommand
	END
GO

/******************************************************************************
**		File: 
**		Name: adfvwUICommand
**		Desc: 
**
**		This template can be customized:
**              
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:				Description:
**		--------		--------				-------------------------------------------
**    
*******************************************************************************/

PRINT 'Creating View adfvwUICommand'
GO
CREATE VIEW adfvwUICommand
AS
	SELECT
		[UICommand].[Class], 
		[UICommand].[ID], 
		[UICommand].[ActionID], 
		[UICommand].[Name], 
		ISNULL([UICommandGlobal].[Text], [UICommand].[Text]) as [Text], 
		ISNULL([UICommandGlobal].[AlternateText], [UICommand].[AlternateText]) as [AlternateText], 
		[UICommand].[Shortcut], 
		[UICommand].[Picture], 
		[UICommand].[Position], 
		[UICommand].[BeginGroup], 
		ISNULL([UICommandGlobal].[Comments], [UICommand].[Comments]) as [Comments], 
		[UICommand].[Created], 
		[UICommand].[CreatedBy], 
		[UICommand].[Modified], 
		[UICommand].[ModifiedBy]
	FROM
		[UICommand] LEFT OUTER JOIN [UICommandGlobal]
			ON ([UICommand].[ID]=[UICommandGlobal].[ID] AND
				[UICommandGlobal].[Language] = dbo.adfGetLanguage())

GO
    