 IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'lmProjectExpenseCode')
	BEGIN
		PRINT 'Dropping Procedure lmProjectExpenseCode'
		DROP  Procedure  lmProjectExpenseCode
	END

GO

PRINT 'Creating Procedure lmProjectExpenseCode'
GO
/******************************************************************************
**		File: 
**		Name: lmProjectExpenseCode
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure lmProjectExpenseCode
AS
	SET NOCOUNT ON
	SELECT
		[ExpenseCode].[ID],
		[ExpenseCode].[Code],
		[ExpenseCode].[FileAs] as [Name],
		[ExpenseCode].[State],
		[ProjectExpenseCode].[Billable],
		[ProjectExpenseCode].[ProjectID],
		[ProjectExpenseCode].[Actively]
	FROM
		[ExpenseCode]
		INNER JOIN [ProjectExpenseCode]
			ON ([ExpenseCode].[ID] = [ProjectExpenseCode].[ExpenseCodeID])
	
	RETURN 0
GO

GRANT EXEC ON lmProjectExpenseCode TO PUBLIC
GO
 