IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'lmStatement')
	BEGIN
		PRINT 'Dropping Procedure lmStatement'
		DROP  Procedure  lmStatement
	END

GO

PRINT 'Creating Procedure lmStatement'
GO
/******************************************************************************
**		File: 
**		Name: lmStatement
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure lmStatement
AS
	SET NOCOUNT ON
		
	SELECT
		[ID],
		[Number] as [Code],
		[FileAs] as [Name],
		[ProjectID],
		[State]
	FROM
		[Statement]
	
	RETURN 0
GO

GRANT EXEC ON lmStatement TO PUBLIC
GO
  