
 IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[pjm6MsUnavailableAssignmentGet]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
	BEGIN
		PRINT 'Dropping procedure pjm6MsUnavailableAssignmentGet'
		DROP PROCEDURE [dbo].[pjm6MsUnavailableAssignmentGet]
	END
GO

PRINT 'Creating procedure pjm6MsUnavailableAssignmentGet'
GO


CREATE PROCEDURE [pjm6MsUnavailableAssignmentGet] 
				@ID TIdentifier
AS
	
	SET NOCOUNT ON

SELECT
	[Assignment].[FileAs] as [AssignmentFileAs],
	[Task].[FileAs] as [TaskFileAs]
FROM
	[TaskAssignment]
		INNER JOIN [Task]
		ON [Task].[ID] = [TaskAssignment].[TaskID]
		INNER JOIN [Assignment]
		ON [Assignment].[ID] = [TaskAssignment].[AssignmentID]
WHERE
	[Task].[ProjectID] =@ID
	AND [Assignment].[ProjectID]= @ID
	AND [TaskAssignment].[MsAvailable] = 0
		
RETURN 0
GO

GRANT EXECUTE ON [pjm6MsUnavailableAssignmentGet] TO PUBLIC
GO  