/****** Object:  StoredProcedure [pjmams].[ModuleDelete]    Script Date: 12/12/2006 12:24:37 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[pjmams].[ModuleDelete]') AND type in (N'P', N'PC'))
BEGIN
	PRINT 'Dropping procedure [pjmams].[ModuleDelete]'
	DROP PROCEDURE [pjmams].[ModuleDelete]
END
GO

PRINT 'Creating procedure [pjmams].[ModuleDelete]'
GO

CREATE PROCEDURE [pjmams].[ModuleDelete] 
	@Description nvarchar(max)
AS
	SET NOCOUNT ON
	
	UPDATE [pjmams].[Module]
	SET
		[Active] = 0
	WHERE
		[Description] = @Description
		
	RETURN 0
GO

